Page MenuHomePhabricator

Rename clang link from clang-X.Y to clang-X
ClosedPublic

Authored by sylvestre.ledru on Jan 7 2018, 8:15 AM.

Details

Summary

As we are only doing X.0.Z releases (not using the minor version), there is no need to keep -X.Y in the version.
So, instead, I propose the following:
Instead of having clang-7.0 in bin/, we will have clang-7

Since also matches was gcc is doing.

Diff Detail

Repository
rC Clang

Event Timeline

sylvestre.ledru created this revision.Jan 7 2018, 8:15 AM
dim added a subscriber: dim.Mar 17 2018, 7:19 AM
dim added inline comments.
CMakeLists.txt
422

Please update the descriptions too, e.g. "in the form XX". Though upon reading it more closely, where "into the executable" is the version number placed? Isn't this meant as "into the clang executable name"?

I would propose:
"Major version number that will be appended to the clang executable name"

sylvestre.ledru marked an inline comment as done.
sylvestre.ledru added a reviewer: dim.
dim accepted this revision.Mar 21 2018, 4:10 AM

LGTM.

This revision is now accepted and ready to land.Mar 21 2018, 4:10 AM
hans accepted this revision.Mar 21 2018, 9:24 AM
sylvestre.ledru edited the summary of this revision. (Show Details)

Add to the release notes

Closed by commit rC328769: Rename clang link from clang-X.Y to clang-X (authored by sylvestre, committed by ). · Explain WhyMar 29 2018, 3:10 AM
This revision was automatically updated to reflect the committed changes.